Fonctions JSON
Misc.
Fonctions JSON
PHP Manual

# json_encode

(PHP 5 >= 5.2.0, PECL json:1.2.0-1.2.1)

json_encode — Retourne le représentation JSON d'une valeur

### Description

string json_encode ( mixed `$value` )

Retourne une chaîne contenant la représentation JSON de la valeur `value` .

### Liste de paramètres

`value`

  La valeur à encoder. Peut être de n'importe quel type, excepté une ressource.

  Cette fonction ne fonctionne qu'avec des données encodées UTF-8.

### Valeurs de retour

Retourne une chaîne encodé JSON.

### Historique

Version | Description
--- | ---
5.2.1 | Ajout du support des types basiques d'encodage JSON

### Exemples

Exemple #1 Exemple avec json_encode()

`<?php
$arr = array ('a'=>1,'b'=>2,'c'=>3,'d'=>4,'e'=>5);
echo json_encode($arr);
?>`

L'exemple ci-dessus va afficher :

    {"a":1,"b":2,"c":3,"d":4,"e":5}

### Voir aussi

- json_decode()

Fonctions JSON
Misc.
Fonctions JSON
PHP Manual